Contents
Index 🔎︎

# Shell Function

Spustí ďalšiu aplikáciu a v prípade potreby definuje príslušný štýl okna.

### Syntax:

Shell (Pathname As String[, Windowstyle As Integer[, Param As String[, bSync]]])

### Parameters:

### Názov Cesty

Name of the program that you want to start, optionally with complete path and/or arguments.

### Štýl Okna

Optional integer expression that specifies the style of the window that the program is executed in.

Parameter Windowstyle is only effective on Windows systems. On other systems the parameter is ignored.

The following values are possible:

Windowstyle | Meaning
--- | ---
0 | Je aktívne skryté okno programu. Not implemented in LibreOffice.
1 | Je aktívne okno programu v štandardnej veľkosti. Not implemented in LibreOffice.
2 | Je aktívne minimalizované okno programu.
3 | Je aktívne maximalizované okno programu.
4 | Štandardná veľkosť okna, nie je aktívne. Not implemented in LibreOffice.
6 | Minimalizované okno programu, nie je aktívne. Not implemented in LibreOffice.
10 | Zobrazenie na celú obrazovku.

Windowstyle 3 and 10 are equivalent in Windows systems.

### Param

String that specifies additional arguments passed to the program.

### bSync

Ak je táto hodnota nastavená na True,príkaz Shell a všetky procesy LibreOffice čakajú, pokiaľ neskončí spustený program. Ak je táto hodnota nastavená na False, riadenie sa okamžite vráti späť. Začiatočná hodnota je False.

### Error codes:

5 Neplatné volanie procedúry

53 Súbor nenájdený

73 Vlastnosť nie je implementovaná

### Example:

    Sub ExampleShellForWin
        Shell("c:\windows\calc.exe",2)
    End Sub